Bug 819196 - xsane segmentation fault when used with saned locally on fc17 beta
xsane segmentation fault when used with saned locally on fc17 beta
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 11:48 EDT by David W. Legg
Modified: 2013-08-01 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:47:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David W. Legg 2012-05-05 11:48:33 EDT
Description of problem:
Xsane crashes when used with local usb scanner, but via saned:
device `net:localhost:lexmark:libusb:002:005' is a Lexmark X1200/USB1.1 flatbed scanner

Seems not quite the same as the other xsane bugs reported so far.


Version-Release number of selected component (if applicable):
xsane-common-0.998-8.fc17.i686
xsane-0.998-8.fc17.i686

How reproducible:
Crash happens both when done all on one machine and when scanning remotely.

Steps to Reproduce:
1. Start xsane from command line by typing xsane
2. Click on Acquire Preview.
3. Scanning starts and a few seconds later xsane crashes.
  
Actual results:
(xsane:1601): GLib-CRITICAL **: g_source_remove: assertion `tag > 0' failed
Segmentation fault


Expected results:
Scanned preview should appear.

Additional info:
Comment 1 David W. Legg 2012-05-05 12:05:18 EDT
Extra info: Crash does not happen when using an FC15 client with saned running on an FC17 beta machine, i.e remotely.

Client software is xsane 0.998-4.fc15.i686.  Hope that helps. Thanks.
Comment 2 David W. Legg 2012-05-07 10:15:49 EDT
And then if you repeat the experiment using an fc17 saned server and an fc17 xsane client, the xsane client crashes in just the same way as when you do it all on one machine.  Not exactly surprising, but I thought I'd better report the observation ...
Comment 3 Fedora End Of Life 2013-07-03 21:24:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 01:47:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.